Java Plugin + Runtime needed?

I've got the 1.4.2 Runtime installed and have been running my applets just fine from my website.So why do the Demonstration Applets at http://java.sun.com/products/plugin/1.4.2/demos/plugin/applets.htmlask me to install the 1.4.2 plugin?How much bigger is that? What's a good Java IRC channel/net?